This page is a wiki. Please login or create an account to begin editing.


8 posts / 0 new
Last post
Zeffan's picture
Offline
Joined: 2012 Jan 15
looking for Strategic Conquest 2.0/3.0

I am looking for Strategic Conquest 2.0/3.0. I played them back in the 80s and have since lost the disks. I purchased the 4.0.1 version, but it isn't the same in color. If anyone can let me know where i can get this, please let me know. thanks. buzz70@me.com

Comments

IIGS_User's picture
Offline
Joined: 2009 Apr 8

Requested to be removed from this site.

Zeffan's picture
Offline
Joined: 2012 Jan 15

I know that the site doesn't have it. I was hoping that someone might have a copy that they no longer need / want that i could talk to them about.

IIGS_User's picture
Offline
Joined: 2009 Apr 8

That's fine, hope you're in luck. Wink

sos's picture
sos
Offline
Joined: 2010 Feb 27

Hi there. I tried and failed to find Strategic Conquest 3.0. I really wanted it for two reasons over version 2:
1) The bombers' blast radius increases as the game goes on
2) Mac-in-talk support. We loved hearing the computer voice intone "Your battleship, strength 12, repelled an attacking battleship". Great stuff!

I even emailed Joe Williams (President of Delta Tao), but SC3 is not available anywhere new. Too bad, therefore, that it isn't allowed to be uploaded here. I couldn't get the colour version to run on my old black and white Mac SE/30 - but you might have better luck (and on another Mac?). It also wouldn't run for me under mini vMac.

Good luck in your search for a second-hand copy! Hopefully someone replies to you via PM with an available copy!

gidwarren89's picture
Offline
Joined: 2013 Apr 9

I have it!!! I posted it without knowing it had been requested to be removed. My bad. Anyway feel free to hit me up it you still want it.

sos's picture
sos
Offline
Joined: 2010 Feb 27

Email sent Smile

sos's picture
sos
Offline
Joined: 2010 Feb 27

Well colour me embarrassed...

I now realise that version 3.0 wasn't the one with the macintalk voice support. After all these years I just now discovered it's actually version 2.0 ... which I've had all along, but I just hadn't chosen "talking" from the "options" menu!

This does require a 68000 mac (plus, se) with macintalk and system 6. Or vMac. Doesnt work on my SE/30 - talking option is greyed out.

/me scurries off in shame - and to play SC 2.055